package cn.stylefeng.team.portal.modular.management.enums;

import cn.stylefeng.roses.kernel.rule.constants.RuleConstants;
import cn.stylefeng.roses.kernel.rule.exception.AbstractExceptionEnum;
import lombok.Getter;

@Getter
public enum PortalSlideshowExceptionEnum implements AbstractExceptionEnum {

    PORTAL_SLIDESHOW_NOT_EXISTED(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10001", "查询结果不存在"),

    NEWS_CANT_NULL(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10002", "新闻id不能为空"),

    URL_CANT_NULL(RuleConstants.USER_OPERATION_ERROR_TYPE_CODE + "10003", "跳转链接不能为空");

    private final String errorCode;

    private final String userTip;

    PortalSlideshowExceptionEnum(String errorCode, String userTip) {
        this.errorCode = errorCode;
        this.userTip = userTip;
    }

}
